curl --request POST \
--url https://api.getsly.ai/v1/v1/a2a/agents/{agentId}/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"input_schema": {},
"description": "<string>",
"output_schema": {}
}
'{
"data": {
"id": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_schema": {},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"output_schema": {},
"pricing": {
"amount": "<string>",
"currency": "<string>"
}
}
}Register a callable tool / skill on the agent. Counterparties discovering this agent can invoke the tool through the A2A task flow.
curl --request POST \
--url https://api.getsly.ai/v1/v1/a2a/agents/{agentId}/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"input_schema": {},
"description": "<string>",
"output_schema": {}
}
'{
"data": {
"id": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_schema": {},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"output_schema": {},
"pricing": {
"amount": "<string>",
"currency": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
Use this file to discover all available pages before exploring further.
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Tool registered
Show child attributes